#msgOrSpinner {
  flex: 1;
  height: 100%;
}

.spinner {
  display: flex;
  width: 100%;
  height: 120px;
}

.spinner,
#msgOrSpinner {
  justify-content: center;
  align-items: center;
}

.spinner::after {
  content: "";
  width: 40px;
  height: 40px;
  border: 5px solid #ccc;
  border-top: 5px solid #2e8a22;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}